using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Machete {

	public abstract class Student : MonoBehaviour {

    protected Ticker ticker;

    public Desk Desk {
      get { return desk; }
      set { desk = value; }
    }
    protected Desk desk;

    protected virtual void Start() {
      ticker = Ticker.Instance;
    }

    public virtual bool TakeMessage(Message message) {
      return true;
    }
	}
}
